CRYPTO_BLKCIPHER_GET(9)

NAME
crypto_blkcipher_get_iv - obtain IV from cipher

SYNOPSIS

void crypto_blkcipher_get_iv(struct crypto_blkcipher * tfm, u8 * dst, unsigned int len);

ARGUMENTS

tfm
    cipher handle

dst
    buffer filled with the IV

len
    length of the buffer dst

DESCRIPTION

The caller can obtain the IV set for the block cipher referenced by the cipher handle and store it into the user-provided buffer. If the buffer has an insufficient space, the IV is truncated to fit the buffer.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT